# Plutonium framework API: Plutonium/include/pu/ui/render/render_Renderer.hpp File Reference

render_Renderer.hpp File Reference
`#include <pu/ui/ui_Types.hpp>`
`#include <pu/ui/render/render_SDL2.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | pu::ui::render::RendererInitOptions
struct | pu::ui::render::TextureRenderOptions
class | pu::ui::render::Renderer

## Namespaces

namespace | pu
namespace | pu::ui
namespace | pu::ui::render

## Functions

sdl2::Renderer | pu::ui::render::GetMainRenderer ()
sdl2::Window | pu::ui::render::GetMainWindow ()
sdl2::Surface | pu::ui::render::GetMainSurface ()
std::pair< u32, u32 > | pu::ui::render::GetDimensions ()
bool | pu::ui::render::AddSharedFont (const std::string &font_name, const u32 font_size, const PlSharedFontType type)
bool | pu::ui::render::AddAllSharedFonts (const std::string &font_name, const u32 font_size)
bool | pu::ui::render::AddFontFile (const std::string &font_name, const u32 font_size, const std::string &path)
void | pu::ui::render::AddDefaultFontFromShared (const u32 font_size)
void | pu::ui::render::AddDefaultFontFromFile (const u32 font_size, const std::string &path)
sdl2::Texture | pu::ui::render::RenderText (const std::string &font_name, const std::string &text, const Color clr)
i32 | pu::ui::render::GetTextWidth (const std::string &font_name, const std::string &text)
i32 | pu::ui::render::GetTextHeight (const std::string &font_name, const std::string &text)

## Variables

constexpr u32 | pu::ui::render::ScreenWidth = 1280
constexpr u32 | pu::ui::render::ScreenHeight = 720
constexpr u32 | pu::ui::render::MixerAllFlags = MIX_INIT_FLAC | MIX_INIT_MOD | MIX_INIT_MP3 | MIX_INIT_OGG
constexpr u32 | pu::ui::render::IMGAllFlags = IMG_INIT_PNG | IMG_INIT_JPG | IMG_INIT_TIF | IMG_INIT_WEBP
constexpr u32 | pu::ui::render::RendererSoftwareFlags = SDL_RENDERER_SOFTWARE
constexpr u32 | pu::ui::render::RendererHardwareFlags = SDL_RENDERER_PRESENTVSYNC | SDL_RENDERER_ACCELERATED